### Method

# Gdk PopupLayoutset_anchor_hints

#### Declaration [src]

    void
    gdk_popup_layout_set_anchor_hints (
      GdkPopupLayout* layout,
      GdkAnchorHints anchor_hints
    )

#### Description [src]

Set new anchor hints.

The set `anchor_hints` determines how `surface` will be moved if the anchor points cause it to move off-screen. For example, `GDK_ANCHOR_FLIP_X` will replace `GDK_GRAVITY_NORTH_WEST` with `GDK_GRAVITY_NORTH_EAST` and vice versa if `surface` extends beyond the left or right edges of the monitor.

#### Parameters

`anchor_hints`

  Type: `GdkAnchorHints`

  The new `GdkAnchorHints`